#include <linux/spi/spidev.h>
#include <stdint.h>

typedef struct spi_settings {
    uint8_t  mode;
    uint8_t  is_lsb_first;
    uint8_t  bits_per_word;
    uint32_t max_speed_hz;    
} spi_settings_t;

void print_spi_settings(spi_settings_t *settings);

int spi_read_settings(int fd, spi_settings_t *settings);

int spi_write_settings(int fd, spi_settings_t *settings);

void print_current_spi_settings(int fd);

int spi_init(const char *device_name, spi_settings_t *settings);

void spi_shutdown(int fd);

int spi_read_two_bytes(int fd, uint8_t* out);

